locked
Error message when opening a .sln file created with VS2012 in Expression Blend 4 RRS feed

  • Question

  • Is is safe to open .sln's created with VS2012 or should I only do it with the new Beta 11?


    Michael

    Thursday, August 23, 2012 2:52 PM

All replies

  • Actually, after discovering that there is no Beta 11 for a WPF project, I would like to change my question to:

    Is is safe to open .sln's created with VS2012 despite this error? Can I safely add/modify/save a VS2012 .sln with Blend 4? Will it then be safe to open it again in VS 2012?


    Michael

    Thursday, August 23, 2012 3:10 PM
  • As long as the projects included in the solution are ones that Blend 4 supports (WPF <= 4, SL <=4) it should work. VS2012 marks the top of the .sln file like this:

    Microsoft Visual Studio Solution File, Format Version 12.00
    # Visual Studio 2012

    VS2012 and Blend 4 used Format Version 11.00 and Visual Studio 2010. The rest is the same.

    So, you should be just fine, but it isn't officially supported. I would suggest you back up your project just in case (always a good idea).

    For information on the officially supported versions for each platform, see here:

    http://blendinsider.com/technical/announcing-blend-sketchflow-preview-for-visual-studio-2012-2012-08-15/

    There is a preview release for WPF 4.5/SL 5 in that same link.


    Thursday, August 23, 2012 3:45 PM
    Moderator
  • As long as the projects included in the solution are ones that Blend 4 supports (WPF <= 4, SL <=4) it should work. VS2012 marks the top of the .sln file like this:

    Microsoft Visual Studio Solution File, Format Version 12.00
    # Visual Studio 2012

    VS2012 and Blend 4 used Format Version 11.00 and Visual Studio 2010. The rest is the same.

    So, you should be just fine, but it isn't officially supported. I would suggest you back up your project just in case (always a good idea).

    For information on the officially supported versions for each platform, see here:

    http://blendinsider.com/technical/announcing-blend-sketchflow-preview-for-visual-studio-2012-2012-08-15/

    There is a preview release for WPF 4.5/SL 5 in that same link.



    Changed the first line "..., Format Version 12.00" to "..., Format Version 11.00" dismissed the error message from Blend 4, and VS2012 is not complaining. Thank you, Chuck Hays.

    • Edited by snssswc Wednesday, January 16, 2013 5:00 AM
    Wednesday, January 16, 2013 4:55 AM